<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Mon Dec 11 11:05:54 CET 2023 -->
<title>Beacon</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf8">
<meta name="dc.created" content="2023-12-11">
<meta name="description" content="declaration: module: SatellitesBalises, package: back.mobileElement, class: Beacon">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../script-dir/jquery-3.6.0.min.js"></script>
<script type="text/javascript" src="../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var evenRowColor = "even-row-color";
var oddRowColor = "odd-row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../../module-summary.html">Module</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/Beacon.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html#class">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor-summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor-detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="module-label-in-type">Module</span>&nbsp;<a href="../../module-summary.html">SatellitesBalises</a></div>
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">back.mobileElement</a></div>
<h1 title="Class Beacon" class="title">Class Beacon</h1>
</div>
<div class="inheritance" title="Inheritance Tree"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">java.lang.Object</a>
<div class="inheritance"><a href="MobileElement.html" title="class in back.mobileElement">back.mobileElement.MobileElement</a>
<div class="inheritance">back.mobileElement.Beacon</div>
</div>
</div>
<section class="class-description" id="class-description">
<hr>
<div class="type-signature"><span class="modifiers">public class </span><span class="element-name type-name-label">Beacon</span>
<span class="extends-implements">extends <a href="MobileElement.html" title="class in back.mobileElement">MobileElement</a></span></div>
<div class="block">Classe représentant une balise. Une balise est un élément mobile qui récolte
 des données au fond de l'océan.</div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor-summary">
<h2>Constructor Summary</h2>
<div class="caption"><span>Constructors</span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Constructor</div>
<div class="table-header col-last">Description</div>
<div class="col-constructor-name even-row-color"><code><a href="#%3Cinit%3E(back.movement.MoveStrategy,int,int,int)" class="member-name-link">Beacon</a><wbr>(<a href="../movement/MoveStrategy.html" title="class in back.movement">MoveStrategy</a>&nbsp;moveStrategy,
 int&nbsp;capacity,
 int&nbsp;maxY,
 int&nbsp;minY)</code></div>
<div class="col-last even-row-color">
<div class="block">Crée une balise.</div>
</div>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method-summary">
<h2>Method Summary</h2>
<div id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="method-summary-table-tab0" role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table', 3)" class="active-table-tab">All Methods</button><button id="method-summary-table-tab2" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab2', 3)" class="table-tab">Instance Methods</button><button id="method-summary-table-tab4" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab4', 3)" class="table-tab">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<div class="summary-table three-column-summary" aria-labelledby="method-summary-table-tab0">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>int</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getCapacity()" class="member-name-link">getCapacity</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Récupère la capacité de la balise.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>int</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getCurrentDepth()" class="member-name-link">getCurrentDepth</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Récupère la profondeur actuelle de la balise.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="../movement/MoveStrategy.html" title="class in back.movement">MoveStrategy</a></code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getDefaultStrategy()" class="member-name-link">getDefaultStrategy</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Récupère la stratégie de déplacement par défaut de la balise.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>int</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getRangeSynchro()" class="member-name-link">getRangeSynchro</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Récupère la zone de synchronisation de la balise.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>int</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getStorage()" class="member-name-link">getStorage</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Récupère la quantitié stockable par la balise.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#isFull()" class="member-name-link">isFull</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Récupère l'état de stockage de la balise.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#isInSynchro()" class="member-name-link">isInSynchro</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Récupère l'état de la balise.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#receive(back.event.AbstractEvent)" class="member-name-link">receive</a><wbr>(<a href="../event/AbstractEvent.html" title="class in back.event">AbstractEvent</a>&nbsp;event)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Méthode abstracte définissant le comportement à adopter lors d'une réception
 d'évènement.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#setCapacity(int)" class="member-name-link">setCapacity</a><wbr>(int&nbsp;capacity)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Définit la capacité de la balise.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#setCurrentDepth(int)" class="member-name-link">setCurrentDepth</a><wbr>(int&nbsp;indexDescente)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Définit la profondeur actuelle de la balise.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#setDefaultDepth(int)" class="member-name-link">setDefaultDepth</a><wbr>(int&nbsp;defaultDepth)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Définit la profondeur par défaut de la balise.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#setIsFull(boolean)" class="member-name-link">setIsFull</a><wbr>(boolean&nbsp;isFull)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Définit l'état de stockage de la balise.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#setStorage(int)" class="member-name-link">setStorage</a><wbr>(int&nbsp;storage)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Définit la quantité stockable par la balise.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#storeData()" class="member-name-link">storeData</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Stockage d'une donnée.</div>
</div>
</div>
</div>
</div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-back.mobileElement.MobileElement">Methods inherited from class&nbsp;back.mobileElement.<a href="MobileElement.html" title="class in back.mobileElement">MobileElement</a></h3>
<code><a href="MobileElement.html#getBottomLeft()">getBottomLeft</a>, <a href="MobileElement.html#getEventHandler()">getEventHandler</a>, <a href="MobileElement.html#getMoveStrategy()">getMoveStrategy</a>, <a href="MobileElement.html#getTopRight()">getTopRight</a>, <a href="MobileElement.html#setBottomLeft(java.awt.Point)">setBottomLeft</a>, <a href="MobileElement.html#setMoveStrategy(back.movement.MoveStrategy)">setMoveStrategy</a>, <a href="MobileElement.html#setTopRight(java.awt.Point)">setTopRight</a></code></div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-java.lang.Object">Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></h3>
<code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang" class="external-link">equals</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#getClass()" title="class or interface in java.lang" class="external-link">getClass</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#hashCode()" title="class or interface in java.lang" class="external-link">hashCode</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#notify()" title="class or interface in java.lang" class="external-link">notify</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#notifyAll()" title="class or interface in java.lang" class="external-link">notifyAll</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#toString()" title="class or interface in java.lang" class="external-link">toString</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait()" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait(long)" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait(long,int)" title="class or interface in java.lang" class="external-link">wait</a></code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor-detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(back.movement.MoveStrategy,int,int,int)">
<h3>Beacon</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="element-name">Beacon</span><wbr><span class="parameters">(<a href="../movement/MoveStrategy.html" title="class in back.movement">MoveStrategy</a>&nbsp;moveStrategy,
 int&nbsp;capacity,
 int&nbsp;maxY,
 int&nbsp;minY)</span></div>
<div class="block">Crée une balise.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>moveStrategy</code> - - Stratégie de déplacement par défaut</dd>
<dd><code>capacity</code> - - Capacité de stockage des données à récolter</dd>
<dd><code>maxY</code> - - Profondeur maximale à ne pas franchir</dd>
<dd><code>minY</code> - - Profondeur minimale à ne pas franchir</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method-detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="storeData()">
<h3>storeData</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">storeData</span>()</div>
<div class="block">Stockage d'une donnée.</div>
</section>
</li>
<li>
<section class="detail" id="receive(back.event.AbstractEvent)">
<h3>receive</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">receive</span><wbr><span class="parameters">(<a href="../event/AbstractEvent.html" title="class in back.event">AbstractEvent</a>&nbsp;event)</span></div>
<div class="block"><span class="descfrm-type-label">Description copied from class:&nbsp;<code><a href="MobileElement.html#receive(back.event.AbstractEvent)">MobileElement</a></code></span></div>
<div class="block">Méthode abstracte définissant le comportement à adopter lors d'une réception
 d'évènement.</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="MobileElement.html#receive(back.event.AbstractEvent)">receive</a></code>&nbsp;in class&nbsp;<code><a href="MobileElement.html" title="class in back.mobileElement">MobileElement</a></code></dd>
<dt>Parameters:</dt>
<dd><code>event</code> - - Évènement reçu</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getCapacity()">
<h3>getCapacity</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">getCapacity</span>()</div>
<div class="block">Récupère la capacité de la balise.</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>la capacité de la balise</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="setCapacity(int)">
<h3>setCapacity</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">setCapacity</span><wbr><span class="parameters">(int&nbsp;capacity)</span></div>
<div class="block">Définit la capacité de la balise.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>capacity</code> - - La nouvelle capacité de la balise</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getStorage()">
<h3>getStorage</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">getStorage</span>()</div>
<div class="block">Récupère la quantitié stockable par la balise.</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>la quantité stockable par la balise</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="setStorage(int)">
<h3>setStorage</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">setStorage</span><wbr><span class="parameters">(int&nbsp;storage)</span></div>
<div class="block">Définit la quantité stockable par la balise.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>storage</code> - - La nouvelle quantité stockable par la balise</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="isFull()">
<h3>isFull</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">isFull</span>()</div>
<div class="block">Récupère l'état de stockage de la balise.</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>true si la balise est pleine de données, false sinon</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="setIsFull(boolean)">
<h3>setIsFull</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">setIsFull</span><wbr><span class="parameters">(boolean&nbsp;isFull)</span></div>
<div class="block">Définit l'état de stockage de la balise.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>isFull</code> - - True si la balise est pleine de données, false sinon</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="setDefaultDepth(int)">
<h3>setDefaultDepth</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">setDefaultDepth</span><wbr><span class="parameters">(int&nbsp;defaultDepth)</span></div>
<div class="block">Définit la profondeur par défaut de la balise.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>defaultDepth</code> - - la profondeur par défaut de la balise</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getCurrentDepth()">
<h3>getCurrentDepth</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">getCurrentDepth</span>()</div>
<div class="block">Récupère la profondeur actuelle de la balise.</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>la profondeur actuelle de la balise</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="setCurrentDepth(int)">
<h3>setCurrentDepth</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">setCurrentDepth</span><wbr><span class="parameters">(int&nbsp;indexDescente)</span></div>
<div class="block">Définit la profondeur actuelle de la balise.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>indexDescente</code> - - La nouvelle profondeur actuelle de la balise</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getDefaultStrategy()">
<h3>getDefaultStrategy</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="../movement/MoveStrategy.html" title="class in back.movement">MoveStrategy</a></span>&nbsp;<span class="element-name">getDefaultStrategy</span>()</div>
<div class="block">Récupère la stratégie de déplacement par défaut de la balise.</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>la stratégie de déplacement par défaut de la balise</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getRangeSynchro()">
<h3>getRangeSynchro</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">getRangeSynchro</span>()</div>
<div class="block">Récupère la zone de synchronisation de la balise.</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>la zone de synchronisation de la balise</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="isInSynchro()">
<h3>isInSynchro</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">isInSynchro</span>()</div>
<div class="block">Récupère l'état de la balise.</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>true si la balise est en cours de synchronisation, false sinon</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
</div>
</div>
</body>
</html>
